<?php



class Abutler_Link_Pro{


	/**
	* Get the final url that will be replaced in the frontend.
	* @param	 integer link ID
	* @return	 string the final url.
	* @since    1.0.0
	**/
	public static function get_final_url( $link_id ){
		$link_meta = get_post_meta( $link_id );
		$link_type = isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'link_type'][0])?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'link_type'][0]:'';
		$link_slug = isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'slug'][0])?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'slug'][0]:'';
		$link_url = isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'url'][0])?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'url'][0]:'';
		$link_internal_url = isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'internal_url'][0])?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'internal_url'][0]:'';
		$links_prefix = (abutler_pro()->get_option(ABUTLER_PRO_PLUGIN_PREFIX . 'shortlinks_prefix'))?abutler_pro()->get_option(ABUTLER_PRO_PLUGIN_PREFIX . 'shortlinks_prefix'):'go';
		
		if( $link_type == 'external' OR $link_type == ''){
				if ( get_option('permalink_structure') != '' ) {
					$url = ($link_slug!= '')? site_url().'/'. $links_prefix .'/'.$link_slug : $link_url;
					return '<input onfocus="this.select();" class="lar_link_preview" readonly="readonly" type="text" value="'. $url .'" />';
				}else{
					$url =  ($link_slug != '')? site_url().'/index.php?'. $links_prefix .'='.$link_slug : $link_url;
					return '<input onfocus="this.select();" class="lar_link_preview" readonly="readonly" type="text" value="'. $url .'" />';
				}
		}elseif($link_type == 'internal'){ // if internal link
				return '<input onfocus="this.select();" class="lar_link_preview" readonly="readonly" type="text" value="'. get_permalink($link_internal_url) .'" />';
		}elseif ($link_type == 'popup') {
				// @TODO
				$url = '<a href="#abutler_popup_'. $link_id .'" class="open-popup-link">'.__('Preview','affiliate-butler-pro').'</a>'; 
				$url .= '<div id="abutler_popup_'. $link_id .'" class="white-popup mfp-hide">';
				$url .= (isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_content'][0]))?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_content'][0]:'';
				$url .= '</div>';
				return $url;
		}elseif ($link_type == 'popup_image') {
				$image_src = isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_image'][0])?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_image'][0]:'';
				$url = '<a href="'. $image_src .'" class="abutler-image-link">'.__('Preview','affiliate-butler-pro').'</a>';
				return $url;
		}elseif ($link_type == 'popup_gallery') {
				$image_src = isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_gallery'][0])?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_gallery'][0]:'';
				$url = '<a href="javascript:void(0)" data-linkid="'. $link_id .'" class="abutler-gallery-link">'.__('Preview','affiliate-butler-pro').'</a>';
				$content = '';
				$content .= '<div class="abutler-gallery" id="abutler_gallery_'.$link_id.'">';
				$images  = unserialize($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_gallery'][0]);
				foreach($images as $image){
					$content .= '<a href="'. $image .'"></a>';
				}
				$content .= '</div>';
				return $url . $content;
		}elseif ($link_type == 'popup_video') {
				$video_src = isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_videourl'][0])?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_videourl'][0]:'';
				$url = '<a href="'. $video_src .'" class="abutlervidlink">'.__('Preview','affiliate-butler-pro').'</a>';
				return $url; 
		}elseif ($link_type == 'popup_map') {
				$map_src = isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_mapurl'][0])?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'popup_mapurl'][0]:'';
				$url = '<a href="'. $map_src .'" class="abutlermaplink">'.__('Map','affiliate-butler-pro').'</a>';
				return $url; 
		}elseif ($link_type == 'url_share'){
				$shared_url = urlencode((isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'shared_url'][0]))?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'shared_url'][0]:'');
				$shared_text = urlencode((isset($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'shared_text'][0]))?$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'shared_text'][0]:'');
					
				$link_type_atts = ' class="abutlertooltip" data-linkid="'.$link_id.'" ';
				$url .= '<div id="abutlershare_for_'.$link_id.'" style="display:none;">';
				$url .= '<a class="abutlersharepopup" href="http://www.facebook.com/sharer/sharer.php?u='.$shared_url.'&t='. $shared_text .'"><img class="abutler_social_share_icon" src="'.ABUTLERPRO_URL.'public/images/share/style01/facebook.png" /></a>';
				$url .= '<a class="abutlersharepopup" href="https://twitter.com/intent/tweet?url='.$shared_url.'&text='.$shared_text.'"><img class="abutler_social_share_icon" src="'.ABUTLERPRO_URL.'public/images/share/style01/twitter.png" /></a>';
				$url .= '<a class="abutlersharepopup" href="https://www.linkedin.com/shareArticle?mini=true&url='.$shared_url.'&title='.$shared_text.'&summary=&source="><img class="abutler_social_share_icon" src="'.ABUTLERPRO_URL.'public/images/share/style01/linkedin.png" /></a>';
				$url .= '<a class="abutlersharepopup" href="http://plus.google.com/share?url='.$shared_url.'"><img class="abutler_social_share_icon" src="'.ABUTLERPRO_URL.'public/images/share/style01/gplus.png" /></a>';
				$url .= '<a class="abutlersharepopup" href="https://www.tumblr.com/widgets/share/tool?canonicalUrl='.$shared_url.'&url='.$shared_url.'&posttype=link&title='.$shared_text.'&caption='.$shared_text.'&content='.$shared_url.'"><img class="abutler_social_share_icon" src="'.ABUTLERPRO_URL.'public/images/share/style01/tumblr.png" /></a>';
				$url .= '<a class="abutlersharepopup" href="http://www.reddit.com/submit?url='.$shared_url.'&title='.$shared_text.'"><img class="abutler_social_share_icon" src="'.ABUTLERPRO_URL.'public/images/share/style01/reddit.png" /></a>';
				$url .= '</div>';
				$final_url = ' <a href="javascript:void(0)" '.$link_type_atts.'>'. __('Sharing Keyword', 'affiliate-butler-pro-pro') .'</a>';
					
				return $final_url . $url;
		}
	}
}