(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-specific JavaScript source
	 * should reside in this file.
	 *
	 * Note that this assume you're going to use jQuery, so it prepares
	 * the $ function reference to be used within the scope of this
	 * function.
	 *
	 * From here, you're able to define handlers for when the DOM is
	 * ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * Or when the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and so on.
	 *
	 * Remember that ideally, we should not attach any more than a single DOM-ready or window-load handler
	 * for any particular page. Though other scripts in WordPress core, other plugins, and other themes may
	 * be doing this, we should try to minimize doing that in our own work.
	 */
	 $(function() {
	 	$('.quick_stats').hide();
				      $("#_lar_links_internal_url").select2({
								  ajax: {
								    url: ajaxurl,
								    dataType: 'json',
								    delay: 250,
								    data: function (params) {
								      return {
								      	action: 'search_internal_linking',
								        q: params.term, // search term
								        page: params.page
								      };
								    },
								    processResults: function (data) {
									    return {
									      results: data
									    };
									  },
								    cache: true
								  },
								 
								  minimumInputLength: 2,
								  });
				      //external and internal
				      $('#_lar_links_link_type').change(function(){
				      		var link_type = $(this).val();
				      		if(link_type == 'internal'){
				      			$('.cmb2-id--lar-links-url').hide();
				      			$('.cmb2-id--lar-links-popup-mapurl').hide();
				      			$('.cmb2-id--lar-links-internal-url').show();
				      			$('.cmb2-id--lar-links-do-follow').hide();
				      			$('.cmb2-id--lar-links-popup-content').hide();

				      			$('.cmb2-id--lar-links-popup-videourl').hide();
				      			$('.cmb2-id--lar-links-open-in').show();
				      			$('.cmb2-id--lar-links-shrink').show();
				      			$('.cmb2-id--lar-links-slug').show();
				      			$('.cmb2-id--lar-links-popup-image').hide();
				      			$('.cmb2-id--lar-links-popup-gallery').hide();
				      			$('.cmb2-id--lar-links-shared-url').hide();
				      			$('.cmb2-id--lar-links-shared-text').hide();
				      		}else if(link_type == 'external'){
				      			$('.cmb2-id--lar-links-url').show();
				      			$('.cmb2-id--lar-links-popup-mapurl').hide();
				      			$('.cmb2-id--lar-links-internal-url').hide();
				      			$('.cmb2-id--lar-links-do-follow').show();
				      			$('.cmb2-id--lar-links-popup-content').hide();

				      			$('.cmb2-id--lar-links-popup-videourl').hide();
				      			$('.cmb2-id--lar-links-do-follow').show();
				      			$('.cmb2-id--lar-links-open-in').show();
				      			$('.cmb2-id--lar-links-shrink').show();
				      			$('.cmb2-id--lar-links-slug').show();
				      			$('.cmb2-id--lar-links-popup-gallery').hide();
				      			$('.cmb2-id--lar-links-popup-image').hide();
				      			$('.cmb2-id--lar-links-shared-url').hide();
				      			$('.cmb2-id--lar-links-shared-text').hide();

				      		}else if(link_type == 'popup'){
				      			// popup
				      			$('.cmb2-id--lar-links-popup-content').show();
				      			$('.cmb2-id--lar-links-popup-mapurl').hide();
				      			$('.cmb2-id--lar-links-popup-videourl').hide();
				      			$('.cmb2-id--lar-links-url').hide();
				      			$('.cmb2-id--lar-links-internal-url').hide();
				      			$('.cmb2-id--lar-links-do-follow').hide();
				      			$('.cmb2-id--lar-links-open-in').hide();
				      			$('.cmb2-id--lar-links-shrink').hide();
				      			$('.cmb2-id--lar-links-slug').hide();
				      			$('.cmb2-id--lar-links-popup-image').hide();
				      			$('.cmb2-id--lar-links-popup-gallery').hide();
				      			$('.cmb2-id--lar-links-shared-url').hide();
				      			$('.cmb2-id--lar-links-shared-text').hide();
				      		}else if(link_type == 'popup_image'){
				      			$('.cmb2-id--lar-links-popup-image').show();
				      			$('.cmb2-id--lar-links-popup-content').hide();
				      			$('.cmb2-id--lar-links-popup-mapurl').hide();
				      			$('.cmb2-id--lar-links-popup-videourl').hide();
				      			$('.cmb2-id--lar-links-url').hide();
				      			$('.cmb2-id--lar-links-internal-url').hide();
				      			$('.cmb2-id--lar-links-do-follow').hide();
				      			$('.cmb2-id--lar-links-open-in').hide();
				      			$('.cmb2-id--lar-links-shrink').hide();
				      			$('.cmb2-id--lar-links-slug').hide();
				      			$('.cmb2-id--lar-links-popup-gallery').hide();
				      			$('.cmb2-id--lar-links-shared-url').hide();
				      			$('.cmb2-id--lar-links-shared-text').hide();
				      		}else if(link_type == 'popup_gallery'){
				      			$('.cmb2-id--lar-links-popup-image').hide();
				      			$('.cmb2-id--lar-links-popup-mapurl').hide();
				      			$('.cmb2-id--lar-links-popup-videourl').hide();
				      			$('.cmb2-id--lar-links-popup-gallery').show();
				      			$('.cmb2-id--lar-links-popup-content').hide();
				      			$('.cmb2-id--lar-links-url').hide();
				      			$('.cmb2-id--lar-links-internal-url').hide();
				      			$('.cmb2-id--lar-links-do-follow').hide();
				      			$('.cmb2-id--lar-links-open-in').hide();
				      			$('.cmb2-id--lar-links-shrink').hide();
				      			$('.cmb2-id--lar-links-slug').hide();
				      			$('.cmb2-id--lar-links-shared-url').hide();
				      			$('.cmb2-id--lar-links-shared-text').hide();
				      		}else if(link_type == 'popup_video'){
				      			$('.cmb2-id--lar-links-popup-videourl').hide();
				      			$('.cmb2-id--lar-links-popup-mapurl').hide();
				      			$('.cmb2-id--lar-links-popup-videourl').show();
				      			$('.cmb2-id--lar-links-popup-image').hide();
				      			$('.cmb2-id--lar-links-popup-gallery').hide();
				      			$('.cmb2-id--lar-links-popup-content').hide();
				      			$('.cmb2-id--lar-links-url').hide();
				      			$('.cmb2-id--lar-links-internal-url').hide();
				      			$('.cmb2-id--lar-links-do-follow').hide();
				      			$('.cmb2-id--lar-links-open-in').hide();
				      			$('.cmb2-id--lar-links-shrink').hide();
				      			$('.cmb2-id--lar-links-slug').hide();
				      			$('.cmb2-id--lar-links-shared-url').hide();
				      			$('.cmb2-id--lar-links-shared-text').hide();
				      		}else if(link_type == 'popup_map'){
				      			$('.cmb2-id--lar-links-popup-videourl').hide();
				      			$('.cmb2-id--lar-links-popup-mapurl').show();
				      			$('.cmb2-id--lar-links-popup-image').hide();
				      			$('.cmb2-id--lar-links-popup-gallery').hide();
				      			$('.cmb2-id--lar-links-popup-content').hide();
				      			$('.cmb2-id--lar-links-url').hide();
				      			$('.cmb2-id--lar-links-internal-url').hide();
				      			$('.cmb2-id--lar-links-do-follow').hide();
				      			$('.cmb2-id--lar-links-open-in').hide();
				      			$('.cmb2-id--lar-links-shrink').hide();
				      			$('.cmb2-id--lar-links-slug').hide();
				      			$('.cmb2-id--lar-links-shared-url').hide();
				      			$('.cmb2-id--lar-links-shared-text').hide();
				      		}else if(link_type == 'url_share'){
				      			$('.cmb2-id--lar-links-shared-url').show();
				      			$('.cmb2-id--lar-links-shared-text').show();
				      			$('.cmb2-id--lar-links-popup-videourl').hide();
				      			$('.cmb2-id--lar-links-popup-mapurl').hide();
				      			$('.cmb2-id--lar-links-popup-image').hide();
				      			$('.cmb2-id--lar-links-popup-gallery').hide();
				      			$('.cmb2-id--lar-links-popup-content').hide();
				      			$('.cmb2-id--lar-links-internal-url').hide();
				      			$('.cmb2-id--lar-links-do-follow').hide();
				      			$('.cmb2-id--lar-links-open-in').hide();
				      			$('.cmb2-id--lar-links-shrink').hide();
				      			$('.cmb2-id--lar-links-slug').hide();
				      			$('.cmb2-id--lar-links-link-title').hide();
				      			$('.cmb2-id--lar-links-url').hide();
				      		}
				      });
				      $('#_lar_links_link_type').trigger('change');
						
				      if(typeof(internal_id)!= 'undefined'){
				      	if( internal_id!=''){
				      			$("#_lar_links_internal_url").append('<option value="'+internal_id+'">'+internal_title+'</option>');
								$("#_lar_links_internal_url").select2("val", internal_id);
				     
				      	}
				      
				      }

					$('.open-popup-link').magnificPopup({
					  type:'inline',
					  midClick: true // Allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source in href.
					});
					$('.abutler-image-link').magnificPopup({
					  type:'image',
					});
					$('.abutler-gallery-link').on('click', function () {
						$('#abutler_gallery_'+ $(this).attr('data-linkid') ).magnificPopup('open');
					});
					$('.abutler-gallery').each(function () {
					    $(this).magnificPopup({
					        delegate: 'a',
					        gallery: {
					            enabled: true
					        },
					        type: 'image'
					    });
					});
					$('.abutlervidlink').magnificPopup({
					  type:'iframe',
					}); 
					$('.abutlermaplink').magnificPopup({
					  type:'iframe',
					});
					var share_link_id = '';
					var abutlershared_modal =  $('.abutlertooltip').jBox('Tooltip', {
					    trigger: 'click',
			    		closeOnClick:'body',
			    		closeOnEsc:true
					});
					$('.abutlertooltip').click(function(){
						share_link_id = $(this).attr('data-linkid');
							abutlershared_modal.setContent($('#abutlershare_for_'+share_link_id).html());
							$('.abutlersharepopup').click(function(event) {
							    var width  = 575,
							        height = 400,
							        left   = ($(window).width()  - width)  / 2,
							        top    = ($(window).height() - height) / 2,
							        url    = this.href,
							        opts   = 'status=1' +
							                 ',width='  + width  +
							                 ',height=' + height +
							                 ',top='    + top    +
							                 ',left='   + left;
							    
							    window.open(url, 'twitter', opts);
							 
							    return false;
						});
					});
	 });


})( jQuery );


