<div id="wrap" class="abutler_stats">
	
	<?php
	$link_id = $_GET['id'];
	
	$stats = get_post_meta($link_id, ABUTLER_PRO_PLUGIN_PREFIX.'stats',true);
	$stats['visits'] = Abutler_Stats::rangify_the_visits( $stats['visits'] );
	$original_url =  get_post_meta($link_id, ABUTLER_PRO_PLUGIN_PREFIX.'url',true); 	
	$keywords =  get_post_meta($link_id, ABUTLER_PRO_PLUGIN_PREFIX.'keywords',true);
	$link_type = get_post_meta($link_id, ABUTLER_PRO_PLUGIN_PREFIX.'link_type',true);
	?>
	<div style="margin:15px 0 0 0;">
		<a class="abutler_back_link" href="<?php echo admin_url('edit.php?post_type=lar_link') ?>">&#8624; Back to Links</a>
	</div>
	<div id="link_brief">
		<table class="wp-list-table widefat">
			<thead>
				<tr>
					<th><?php _e('Original Link','affiliate-butler-pro'); ?></th>
					<th><?php _e('Link Keywords','affiliate-butler-pro'); ?></th>
					<th><?php _e('Total Clicks','affiliate-butler-pro'); ?></th>
					<th><?php _e('Actions','affiliate-butler-pro'); ?></th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
					<?php if($link_type == 'external_url'): ?>
						<a href="<?php echo $original_url; ?>" target="_blank"><?php echo $original_url; ?></a>
					<?php else: ?>
						<?php echo '-'; ?>
					<?php endif; ?>
					</td>

					<td><?php echo implode(',',$keywords); ?></td>
					<td><?php echo $stats['total_visits']; ?></td>
					<td><a href="<?php echo get_edit_post_link($link_id); ?>"><?php _e('Edit','affiliate-butler-pro'); ?></a></td>
				</tr>
			</tbody>
		</table>
	</div>
	<br/>
	<div id="abutler_visits">
		<table class="wp-list-table widefat">
		<thead>
			<tr>
				<th><?php _e('Visits: Last 30 days','affiliate-butler-pro'); ?></th>
			</tr>
		</thead>	
			<tr>
				<td><canvas id="visits_canvas" class="abutler_canvas_unit" style="padding: 10px;background: #ffffff;"></canvas>	</td>
			</tr>
		</table>	
	</div>

	<br/>

	<div class="abutler_canvas">	
		<table class="wp-list-table widefat">
			<thead>
				<tr>
					<th><?php _e('Countries','affiliate-butler-pro'); ?></th>
				</tr>
			</thead>	
			<tr>
				<td><div  id="vmap" class="abutler_canvas_unit" style=" height: 400px;"></div></td>
			</tr>
		</table>	
	</div>

	<div class="abutler_canvas">
		<table class="wp-list-table widefat">
			<thead>
				<tr>
					<th><?php _e('Browsers','affiliate-butler-pro'); ?></th>
				</tr>
			</thead>	
			<tr>
				<td><canvas id="chart-area" class="abutler_canvas_unit" width="500" height="500"/></td>
			</tr>
		</table>
	</div>
	<br/>
	<div class="abutler_canvas">
		<table class="wp-list-table widefat">
			<thead>
				<tr>
					<th><?php _e('Platforms','affiliate-butler-pro'); ?></th>
				</tr>
			</thead>	
			<tr>
				<td><canvas id="platforms_canvas" class="abutler_canvas_unit" /></td>
			</tr>
		</table>
	</div>

	
	<div class="abutler_canvas">
		<table class="wp-list-table widefat">
			<thead>
				<tr>
					<th><?php _e('Languages','affiliate-butler-pro'); ?></th>
				</tr>
			</thead>	
			<tr>
				<td><canvas id="languages_canvas" class="abutler_canvas_unit" /></td>
			</tr>
		</table>
	</div>

	<div class="abutler_canvas">
		
		<table class="wp-list-table widefat">
			<thead>
				<tr><td colspan="4"><?php echo _e('Clicks were from ..','affiliate-butler-pro'); ?></td></tr>
				<tr>
					<th><?php _e('Post ID','affiliate-butler-pro'); ?></th>
					<th><?php _e('Title','affiliate-butler-pro'); ?></th>
					<th><?php _e('Total Clicks','affiliate-butler-pro'); ?></th>
					<th><?php _e('%','affiliate-butler-pro'); ?></th>
				</tr>
			</thead>
			<tbody>
			<?php foreach($stats['posts'] as $post => $count):  ?>
				<tr>
					<td><?php echo ($post==0)?'-':$post; ?></td>
					<td><?php echo ($post==0)?__('Other','affiliate-butler-pro'):'<a target="_blank" href="'.get_permalink($post).'">'.get_the_title($post).'</a>'; ?></td>
					<td><?php echo $count; ?></td>
					<td><?php echo ($count/$stats['total_visits'])*100; ?></td>
				</tr>
			<?php endforeach; ?>

			</tbody>
		</table>


	</div>
	<script>
		//map data
		<?php if(!empty($stats['countries'])): ?>
				var sample_data = {<?php foreach($stats['countries'] as $code => $count): ?>"<?php echo $code; ?>":"<?php echo $count; ?>",<?php endforeach; ?>};
		<?php else:  ?>
				var sample_data = {}
		<?php endif; ?>
		
		<?php if(!empty($stats['browsers'])): ?>
		var browsersData = [
				<?php foreach($stats['browsers'] as $browser => $count): ?>
				{
					value: <?php echo $count; ?>,
					color:getRandomColor(),
					highlight: getRandomColor(),
					label: "<?php echo $browser; ?>"
				},
				<?php endforeach; ?>
				

			];
		<?php else: ?>
			var browsersData = [];
		<?php endif; ?>

	var randomScalingFactor = function(){ return Math.round(Math.random()*100)};
	var randomColorFactor = function(){ return Math.round(Math.random()*255)};
		
		<?php if(!empty($stats['platforms'])): ?>
		var barChartData = {
			labels : [<?php foreach($stats['platforms'] as $platform => $count): ?>"<?php echo $platform ?>",<?php endforeach; ?>],
			datasets : [
				
				{
					fillColor : "rgba(151,187,205,0.5)",
					strokeColor : "rgba(151,187,205,0.8)",
					highlightFill : "rgba(151,187,205,0.75)",
					highlightStroke : "rgba(151,187,205,1)",
					data : [<?php foreach($stats['platforms'] as $platform => $count): ?><?php echo $count ?>,<?php endforeach; ?>]
				}
			]

		}
		<?php else: ?>
			var barChartData = [];
		<?php endif; ?>





		<?php if(!empty($stats['languages'])): ?>
		var languagesBarData = {
			labels : [<?php foreach($stats['languages'] as $platform => $count): ?>"<?php echo $platform ?>",<?php endforeach; ?>],
			datasets : [
				
				{
					fillColor : "rgba(151,187,205,0.5)",
					strokeColor : "rgba(151,187,205,0.8)",
					highlightFill : "rgba(151,187,205,0.75)",
					highlightStroke : "rgba(151,187,205,1)",
					data : [<?php foreach($stats['languages'] as $platform => $count): ?><?php echo $count ?>,<?php endforeach; ?>]
				}
			]

		}
		<?php else: ?>
			var languagesBarData = [];
		<?php endif; ?>








		<?php if(!empty($stats['visits'])): ?>
		var lineChartData = {
			labels : [<?php foreach($stats['visits'] as $day => $count): ?>"<?php echo date('d M Y',strtotime($day)); ?>",<?php endforeach; ?>],
			datasets : [
				
				{
					label: "Visits",
					fillColor : "rgba(151,187,205,0.2)",
					strokeColor : "rgba(151,187,205,1)",
					pointColor : "rgba(151,187,205,1)",
					pointStrokeColor : "#fff",
					pointHighlightFill : "#fff",
					pointHighlightStroke : "rgba(151,187,205,1)",
					data : [<?php foreach($stats['visits'] as $day => $count): ?><?php echo $count ?>,<?php endforeach; ?>]
				}
			]

		}
		<?php else: ?>
			var lineChartData = [];
		<?php endif; ?>

			



	</script>

</div>












