<?php
/**
 * 
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @since             1.1.0
 * @package           Affiliate_Butler_Pro
 *
 * @wordpress-plugin
 * Plugin Name:       Affiliate Butler Pro
 * Plugin URI:        http://codecanyon.net/item/affiliate-butler-pro-keywords-to-link-converter-plugin/14189023
 * Description:       Auto replace your affiliate links and track them.
 * Version:           2.1.15
 * Author:            WPRuby
 * Author URI:        https://wpruby.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       affiliate-butler-pro
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
	if ( ! defined( 'WPINC' ) ) {
		die;
	}

	define('ABUTLERPRO_VERSION','2.1.15');
	define('ABUTLERPRO_URL',plugin_dir_url(__FILE__));
	define('ABUTLERPRO_DIR',plugin_dir_path(__FILE__));
	define('ABUTLER_PRO_PLUGIN_PREFIX','_lar_links_');

	/**
	 * The code that runs during plugin activation.
	 * This action is documented in includes/class-abutler-pro-activator.php
	 */
	function activate_Affiliate_Butler_Pro() {
		require_once plugin_dir_path( __FILE__ ) . 'includes/class-affiliate-butler-pro-activator.php';
		Affiliate_Butler_Pro_Activator::activate();
	}

	/**
	 * The code that runs during plugin deactivation.
	 * This action is documented in includes/class-abutler-pro-deactivator.php
	 */
	function deactivate_Affiliate_Butler_Pro() {
		require_once plugin_dir_path( __FILE__ ) . 'includes/class-affiliate-butler-pro-deactivator.php';
		Affiliate_Butler_Pro_Deactivator::deactivate();
	}

	register_activation_hook( __FILE__, 'activate_Affiliate_Butler_Pro' );
	register_deactivation_hook( __FILE__, 'deactivate_Affiliate_Butler_Pro' );

	/**
	 * The core plugin class that is used to define internationalization,
	 * admin-specific hooks, and public-facing site hooks.
	 */
	require plugin_dir_path( __FILE__ ) . 'includes/class-affiliate-butler-pro.php';

	/**
	 * Begins execution of the plugin.
	 *
	 * Since everything within the plugin is registered via hooks,
	 * then kicking off the plugin from this point in the file does
	 * not affect the page life cycle.
	 *
	 * @since    1.0.0
	 */
	function run_Affiliate_Butler_Pro() {

		$plugin = new Affiliate_Butler_Pro();
		$plugin->run();

	}
	run_Affiliate_Butler_Pro();
	
	function abutler_pro(){
		static $object = null;
		if ( is_null( $object ) ) {

			$object = new Abutler_Pro_Settings();
		}

		return $object;
	}

	/**
	 *  Initiate the plugin settings class.
	 * 
	 * */
	add_action('init','abutler_init');
	function abutler_init(){
		abutler_pro();
	}

	$GLOBALS['abutler_name'] = 'Affiliate Butler Pro';



	// Updates and Licence Handling
	define( 'WPRUBY_ABUTLER_STORE_URL', 'https://wpruby.com' ); // IMPORTANT: change the name of this constant to something unique to prevent conflicts with other plugins using this system
	define( 'WPRUBY_ABUTLER_ITEM_NAME', 'Affiliate Butler Pro' ); // IMPORTANT: change the name of this constant to something unique to prevent conflicts with other plugins using this system
	if( !class_exists( 'EDD_SL_KLC_Plugin_Updater' ) ) {
		include( dirname( __FILE__ ) . '/includes/EDD_SL_KLC_Plugin_Updater.php' );
	}
	if(!class_exists('WPRuby_KLC_Licence_Handler')){
		include( dirname( __FILE__ ) . '/includes/WPRuby_KLC_Licence_Handler.php' );
	}

	// Licence Handler
	add_action('wp_loaded', 'wpruby_abpro_license_handler');
	function wpruby_abpro_license_handler(){
		$license_handler = new WPRuby_KLC_Licence_Handler('wpruby_abpro_license_key');
		$license_handler->setPage('abutler_settings');
		$license_handler->setReturnUrl(admin_url('edit.php?post_type=lar_link'));
		$license_handler->setPluginName('Affiliate Butler Pro');
	}
	// Update Handler
	$license_key = trim( get_option( 'wpruby_abpro_license_key' ) ); 
	$edd_updater = new EDD_SL_KLC_Plugin_Updater( WPRUBY_ABUTLER_STORE_URL, __FILE__, array(
		'version' 	=> ABUTLERPRO_VERSION,						// current version number
		'license' 	=> $license_key,				// license key (used get_option above to retrieve from DB)
		'item_name'     => WPRUBY_ABUTLER_ITEM_NAME,	// name of this plugin
		'author' 	=> 'Waseem Senjer',					// author of this plugin
		'url'           => home_url()
	));
