<?php

/**
 * Fired during plugin activation
 *
 * @since      1.0.0
 *
 * @package    Affiliate_Butler_Pro
 * @subpackage Affiliate_Butler_Pro/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Affiliate_Butler_Pro
 * @subpackage Affiliate_Butler_Pro/includes
 * @author     Waseem Senjer <email@example.com>
 */
class Affiliate_Butler_Pro_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		if(get_option('abutler_settings') === false){
			update_option('abutler_settings', array(
				'_lar_links_open_in'	=>	'_blank',
				'_lar_links_do_follow'	=>	'on',
				'_lar_links_enable'	=>	'on',
				'_lar_links_shrink'	=>	'on',
				'_lar_links_is_sensitive'	=>	'on',
			));
		}
		// flushing the rules so wordpress could recognize the /go/ path
		flush_rewrite_rules();
		
	}

}
