(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note that this assume you're going to use jQuery, so it prepares
	 * the $ function reference to be used within the scope of this
	 * function.
	 *
	 * From here, you're able to define handlers for when the DOM is
	 * ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * Or when the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and so on.
	 *
	 * Remember that ideally, we should not attach any more than a single DOM-ready or window-load handler
	 * for any particular page. Though other scripts in WordPress core, other plugins, and other themes may
	 * be doing this, we should try to minimize doing that in our own work.
	 */
	 $( window ).load(function() {
	 
	 
	 		jQuery('.lar_link').click(function(e){
	 			var link = jQuery(this);
	 			e.preventDefault();
	 			var data = {
		                        action: 'store_stats',
		                        security: abutler_stats_nonce,
		                        link_id: link.attr('data-linkid'),
		                        post_id: link.attr('data-postid')
		                    };
		        jQuery.post(ajaxurl, data, function(response) {});
		        window.open(link.attr('href'), link.attr('target'));
		    	
	 		});

	 		jQuery('.lar_link_popup').click(function(){
	 			var link = jQuery(this);
	 			var data = {
		                        action: 'store_stats',
		                        security: abutler_stats_nonce,
		                        link_id: link.attr('data-linkid'),
		                        post_id: link.attr('data-postid')
		                    };
		        jQuery.post(ajaxurl, data, function(response) {});
	 		});
	 		jQuery('.abutlertooltip').click(function(){
	 			var link = jQuery(this);
	 			var data = {
		                        action: 'store_stats',
		                        security: abutler_stats_nonce,
		                        link_id: link.attr('data-linkid'),
		                        post_id: link.attr('data-postid')
		                    };
		        jQuery.post(ajaxurl, data, function(response) {});
	 		});
			$('.open-popup-link').magnificPopup({
					  type:'inline',
					  midClick: true // Allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source in href.
					});
	 		$('.abutler-image-link').magnificPopup({
					  type:'image',
			});
			$('.abutler-gallery-link').on('click', function () {
			    $('#abutler_gallery_'+ $(this).attr('data-linkid') ).magnificPopup('open');
			});
			$('.abutler-gallery').each(function () {
			    $(this).magnificPopup({
			        delegate: 'a',
			        gallery: {
			            enabled: true
			        },
			        type: 'image'
			    });
			});
			$('.abutlervidlink').magnificPopup({
					  type:'iframe',
			});
			$('.abutlermaplink').magnificPopup({
						  type:'iframe',
				});

			var share_link_id = '';
			var abutlershared_modal =  $('.abutlertooltip').jBox('Tooltip', {
			    trigger: 'click',
			    closeOnClick:'body',
			    closeOnEsc:true
			});
			$('.abutlertooltip').click(function(){
				share_link_id = $(this).attr('data-linkid');
					abutlershared_modal.setContent($('#abutlershare_for_'+share_link_id).html());
					$('.abutlersharepopup').click(function(event) {
					    var width  = 575,
					        height = 400,
					        left   = ($(window).width()  - width)  / 2,
					        top    = ($(window).height() - height) / 2,
					        url    = this.href,
					        opts   = 'status=1' +
					                 ',width='  + width  +
					                 ',height=' + height +
					                 ',top='    + top    +
					                 ',left='   + left;
					    
					    window.open(url, 'twitter', opts);
					 
					    return false;
				});
			});
			
	});
})( jQuery );
